// VirtualBankDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "PCSCMngr.h"
#include "socket.h"

// CVirtualBankDlg dialog
class CVirtualBankDlg : public CDialog
{
// Construction
public:
	CVirtualBankDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VIRTUALBANK_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
public:
	int     m_customer;
    CWinThread*             m_pProxyThread;  
    BOOL                     m_bStopThread;
    SocketServer*       m_pSocketServer;
    BOOL                m_runAsProxy;
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedOk();
    afx_msg void OnBnClickedButton1();
    void Log_InsertString(CString message, BOOL bShowTime = TRUE);
    void Log_EnsureVisibleLastLine();
    afx_msg LRESULT OnLogInsertString(WPARAM wParam, LPARAM lParam = TRUE);
    afx_msg LRESULT OnUpdatePIN(WPARAM wParam, LPARAM lParam = TRUE);
    afx_msg LRESULT OnLogClear(WPARAM wParam, LPARAM lParam);    
    void CVirtualBankDlg::Log_Clear();
  
    CString m_logs;
    CString m_PIN;
    CString m_proxyIP;
    afx_msg void OnEnChangePin();
};
